LLDB API Documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | Friends | List of all members
lldb::SBTypeFilter Class Reference

`#include <SBTypeFilter.h>`

Collaboration diagram for lldb::SBTypeFilter:
[legend]

## Public Member Functions

| SBTypeFilter ()
| SBTypeFilter (uint32_t options)
| SBTypeFilter (const lldb::SBTypeFilter &rhs)
| ~SBTypeFilter ()
bool | IsValid () const
uint32_t | GetNumberOfExpressionPaths ()
const char * | GetExpressionPathAtIndex (uint32_t i)
bool | ReplaceExpressionPathAtIndex (uint32_t i, const char *item)
void | AppendExpressionPath (const char *item)
void | Clear ()
uint32_t | GetOptions ()
void | SetOptions (uint32_t)
bool | GetDescription (lldb::SBStream &description, lldb::DescriptionLevel description_level)
lldb::SBTypeFilter & | operator= (const lldb::SBTypeFilter &rhs)
bool | IsEqualTo (lldb::SBTypeFilter &rhs)
bool | operator== (lldb::SBTypeFilter &rhs)
bool | operator!= (lldb::SBTypeFilter &rhs)

## Protected Member Functions

lldb::TypeFilterImplSP | GetSP ()
void | SetSP (const lldb::TypeFilterImplSP &typefilter_impl_sp)
| SBTypeFilter (const lldb::TypeFilterImplSP &)
bool | CopyOnWrite_Impl ()

## Protected Attributes

lldb::TypeFilterImplSP | m_opaque_sp

## Friends

class | SBDebugger
class | SBTypeCategory
class | SBValue

## Detailed Description

Definition at line 17 of file SBTypeFilter.h.

## Constructor & Destructor Documentation

lldb::SBTypeFilter::SBTypeFilter | ( |  | ) |

lldb::SBTypeFilter::SBTypeFilter | ( | uint32_t | options | ) |

lldb::SBTypeFilter::SBTypeFilter | ( | const lldb::SBTypeFilter & | rhs | ) |

lldb::SBTypeFilter::~SBTypeFilter | ( |  | ) |

lldb::SBTypeFilter::SBTypeFilter | ( | const lldb::TypeFilterImplSP & |  | ) |

protected

## Member Function Documentation

void lldb::SBTypeFilter::AppendExpressionPath | ( | const char * | item | ) |

void lldb::SBTypeFilter::Clear | ( |  | ) |

bool lldb::SBTypeFilter::CopyOnWrite_Impl | ( |  | ) |

protected

bool lldb::SBTypeFilter::GetDescription | ( | lldb::SBStream & | description,
|  | lldb::DescriptionLevel | description_level
| ) |  |

const char* lldb::SBTypeFilter::GetExpressionPathAtIndex | ( | uint32_t | i | ) |

uint32_t lldb::SBTypeFilter::GetNumberOfExpressionPaths | ( |  | ) |

uint32_t lldb::SBTypeFilter::GetOptions | ( |  | ) |

lldb::TypeFilterImplSP lldb::SBTypeFilter::GetSP | ( |  | ) |

protected

bool lldb::SBTypeFilter::IsEqualTo | ( | lldb::SBTypeFilter & | rhs | ) |

bool lldb::SBTypeFilter::IsValid | ( |  | ) | const

bool lldb::SBTypeFilter::operator!= | ( | lldb::SBTypeFilter & | rhs | ) |

lldb::SBTypeFilter& lldb::SBTypeFilter::operator= | ( | const lldb::SBTypeFilter & | rhs | ) |

bool lldb::SBTypeFilter::operator== | ( | lldb::SBTypeFilter & | rhs | ) |

bool lldb::SBTypeFilter::ReplaceExpressionPathAtIndex | ( | uint32_t | i,
|  | const char * | item
| ) |  |

void lldb::SBTypeFilter::SetOptions | ( | uint32_t |  | ) |

void lldb::SBTypeFilter::SetSP | ( | const lldb::TypeFilterImplSP & | typefilter_impl_sp | ) |

protected

## Friends And Related Function Documentation

friend class SBDebugger

friend

Definition at line 70 of file SBTypeFilter.h.

friend class SBTypeCategory

friend

Definition at line 71 of file SBTypeFilter.h.

friend class SBValue

friend

Definition at line 72 of file SBTypeFilter.h.

## Member Data Documentation

lldb::TypeFilterImplSP lldb::SBTypeFilter::m_opaque_sp

protected

Definition at line 80 of file SBTypeFilter.h.

The documentation for this class was generated from the following file:

- SBTypeFilter.h